## zope.hookable 8.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopehookable.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopehookable.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zopehookable"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zopehookable"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## zope.hookable 3.4.1

=== debian/changelog ===
zope.hookable (3.4.1-8) unstable; urgency=low

  * Team upload.
  * Use debian/source/options to ignore changes in egg-info directory
    rather than debian/clean otherwise zcml and txt files are missing.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 21:56:45 +0900

zope.hookable (3.4.1-7) unstable; urgency=low

  * Team upload.
  * Switch to dh_python2. (Closes: #617168)
    - Removes unneeded dependency on python-zope.testing.
  * Switch to 3.0 (quilt) source format.
  * debian/copyright: update, convert to dep5 format.
  * debian/control: add Homepage and Vcs-Browser fields.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if
    built twice.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 25 Oct 2011 17:02:45 +0300

zope.hookable (3.4.1-6) unstable; urgency=low

  * Exclude *.c files from the binary package.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 10 Feb 2010 10:08:54 +0100

zope.hookable (3.4.1-5) unstable; urgency=low

  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Jan 2010 21:10:50 +0100

zope.hookable (3.4.1-4) unstable; urgency=low

  * debian/control: build-depend on python-van.pydeb >= 1.3.0-2.
    (Closes: #552932)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:24:52 +0100

zope.hookable (3.4.1-3) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.
  * Don't include C source in the package.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2009 09:52:31 +0200

zope.hookable (3.4.1-2) unstable; urgency=low

  * Conflict with zope3. Closes: #538179.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Aug 2009 10:57:13 +0200

zope.hookable (3.4.1-1) unstable; urgency=low

  * Initial Packaging.

 -- Brian Sutherland <brian@vanguardistas.net>  Tue, 09 Jun 2009 09:21:02 +0200

=== debian/control ===
Source: zope.hookable
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>, Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3), python-setuptools
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.hookable/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.hookable/trunk
Homepage: http://pypi.python.org/pypi/zope.hookable

Package: python-zope.hookable
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Hookable object support
 This package provides support for Hookable object.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

override_dh_install:
	dh_install
	find debian/*/usr/lib -name '*.c' -delete

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.hookable/zope.hookable-(.*)\.tar\.gz

## zope.hookable 4.0.4

=== debian/changelog ===
zope.hookable (4.0.4-4build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:43:51 +0000

zope.hookable (4.0.4-4build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:24:21 +0000

zope.hookable (4.0.4-4) unstable; urgency=medium

  * d/control: Bump Standards-Version with no other changes necessary.
  * d/copyright: Update Format header.
  * d/watch: Use pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Jun 2015 18:13:00 -0400

zope.hookable (4.0.4-3) unstable; urgency=medium

  * debian/tests/all: Fix typo in shebang line.

 -- Barry Warsaw <barry@debian.org>  Mon, 30 Jun 2014 14:54:17 -0400

zope.hookable (4.0.4-2) unstable; urgency=medium

  * Simplify DEP-8 tests so they just verify that the module is
    importable.  This also makes them work.
  * Add a DEP-8 test for Python 3.

 -- Barry Warsaw <barry@debian.org>  Tue, 24 Jun 2014 18:43:12 -0400

zope.hookable (4.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    - Added python3-zope.hookable binary package.
    - Updated Build-Depends.
    - Added X-Python3-Version header.
    - wrap-and-sort
    - Added myself to Uploaders.
    - Added XS-Testsuite header for DEP-8 tests.  Closes: #692697
  * d/compat: Bump to version 9.
  * d/rules: Convert to pybuild.

 -- Barry Warsaw <barry@debian.org>  Fri, 20 Jun 2014 18:17:40 -0400

=== debian/control ===
Source: zope.hookable
Section: zope
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3),
               python-setuptools,
               python3-all-dev,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.hookable/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.hookable/trunk
Homepage: http://pypi.python.org/pypi/zope.hookable
XS-Testsuite: autopkgtest

Package: python-zope.hookable
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Hookable object support
 This package provides support for Hookable object.
 .
 This is the Python 2 version.

Package: python3-zope.hookable
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Hookable object support
 This package provides support for Hookable object.
 .
 This is the Python 3 version.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.hookable/zope.hookable-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.hookable 5.0.0

=== debian/changelog ===
zope.hookable (5.0.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:26:57 +0100

zope.hookable (5.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * d/control
    - Change to debhelper-compat
    - Bump to debhelper 12
    - Update to Standards-Version 4.4.1
    - Add Root-Requires-Root: no
    - Change priority from extra to optional
    - Use secure URI on homepage.
    - Added more info in extended-section.
  * d/watch
    - Use Secure URI.
  * d/copyright
    - Use secure URI.
  * d/rules
    - Add hardening=+all

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 04 Jan 2020 08:28:38 +0100

zope.hookable (4.2.0-2) unstable; urgency=medium

  * Replace custom autopkgtest with autodep8

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 Sep 2019 14:16:44 +0200

zope.hookable (4.2.0-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869459.
  * New upstream version.
  * Stop building the Python2 package. Closes: #938906.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 08:15:10 +0200

=== debian/control ===
Source: zope.hookable
Section: zope
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-setuptools
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://pypi.python.org/pypi/zope.hookable
Testsuite: autopkgtest-pkg-python

Package: python3-zope.hookable
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: zope3
Description: Hookable object support
 This package supports the efficient creation
 of "hookable" objects, which are callable objects
 that are meant to be optionally replaced.
 .
 This is the Python 3 version.

## zope.hookable 5.0.1

=== debian/changelog ===
zope.hookable (5.0.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 24 Apr 2020 15:04:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                dh-python,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pypi.python.org/pypi/zope.hookable
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.hookable/zope.hookable-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.hookable 5.1.0

=== debian/changelog ===
zope.hookable (5.1.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:18:09 +0000

zope.hookable (5.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 5.1.0
  * d/control:
    - Change homepage, point to GitHub
    - Update Standards-Version to 4.6.0
    - Bump debhelper to 13
  * d/watch: Update version to 4

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 22 Aug 2021 08:49:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: zope
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://pypi.python.org/pypi/zope.hookable
+Homepage: https://github.com/zopefoundation/zope.hookable
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-zope.hookable

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=zope.hookable

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian/*/usr/lib -name '*.c' -delete

## zope.hookable 6.0

=== debian/changelog ===
zope.hookable (6.0-3build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:47 +0100

zope.hookable (6.0-3) unstable; urgency=medium

  * QA upload.

  * Remove generated file in d/rules clean target to fix rebuildability
    (Closes: #1047561).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Jun 2024 19:29:20 +0200

zope.hookable (6.0-2) unstable; urgency=medium

  * QA upload.

  [ crashkaboom ]
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 05 May 2024 11:26:02 +0200

zope.hookable (6.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2023 16:24:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 override_dh_install:
 	dh_install
 	find debian/*/usr/lib -name '*.c' -delete
+
+execute_after_dh_clean:
+	$(RM) src/zope/hookable/_zope_hookable.cpython-311-x86_64-linux-gnu.so

## zope.hookable 7.0

=== debian/changelog ===
zope.hookable (7.0-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 7.0
  * Use dh-sequence-python3
  * Use pybuild-plugin-pyproject
  * Enable tests with python3-zope.testrunner

 -- Alexandre Detiste <tchet@debian.org>  Tue, 04 Feb 2025 07:15:53 +0100

=== debian/control ===
Source: zope.hookable
Section: zope
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
 python3-zope.testrunner,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/zopefoundation/zope.hookable
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/debian/zope.hookable
Vcs-Git: https://salsa.debian.org/debian/zope.hookable.git

Package: python3-zope.hookable
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Conflicts: zope3,
Description: Hookable object support
 This package supports the efficient creation
 of "hookable" objects, which are callable objects
 that are meant to be optionally replaced.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=zope.hookable

export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_BEFORE_TEST = touch {build_dir}/zope/__init__.py
export PYBUILD_TEST_ARGS = \
        PYTHONPATH=. {interpreter} -m zope.testrunner --test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) --package zope.hookable -vv
export PYBUILD_AFTER_TEST = rm {build_dir}/zope/__init__.py

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	find debian/*/usr/lib -name '*.c' -delete

execute_after_dh_clean:
	$(RM) src/zope/hookable/_zope_hookable.cpython-311-x86_64-linux-gnu.so

## zope.hookable 8.0

=== debian/changelog ===
zope.hookable (8.0-1) unstable; urgency=medium

  * QA upload.

  * Drop "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2
  * Trim dead code from d/rules
  * New upstream version 8.0

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 09:50:58 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
  python3-all-dev,
  python3-setuptools,
  python3-zope.testrunner,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/zopefoundation/zope.hookable
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/debian/zope.hookable

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 
 execute_after_dh_install:
 	find debian/*/usr/lib -name '*.c' -delete
-
-execute_after_dh_clean:
-	$(RM) src/zope/hookable/_zope_hookable.cpython-311-x86_64-linux-gnu.so

## zope.hookable 8.1

=== debian/changelog ===
zope.hookable (8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 31 Oct 2025 09:23:19 +0000

zope.hookable (8.0-4) unstable; urgency=medium

  * Adopt package for the Debian Python Team (closes: #948809).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Oct 2025 12:11:16 +0100

zope.hookable (8.0-3) unstable; urgency=medium

  * QA upload.
  * Use upstream patch to stop generating a python3-pkg-resources
    dependency (Closes: #1084010)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 23 Sep 2025 07:49:04 +0200

zope.hookable (8.0-2) unstable; urgency=medium

  * QA upload.
  * Stop touching zope/__init__.py while running tests (closes: #1115803).
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sat, 20 Sep 2025 23:54:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zope.hookable
 Section: zope
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -11,9 +12,9 @@
  python3-zope.testrunner,
 Standards-Version: 4.7.2
 Homepage: https://github.com/zopefoundation/zope.hookable
-Testsuite: autopkgtest-pkg-python
-Vcs-Browser: https://salsa.debian.org/debian/zope.hookable
-Vcs-Git: https://salsa.debian.org/debian/zope.hookable.git
+Testsuite: autopkgtest-pkg-pybuild
+Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.hookable
+Vcs-Git: https://salsa.debian.org/python-team/packages/zope.hookable.git
 
 Package: python3-zope.hookable
 Architecture: any

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.hookable/zope.hookable-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.hookable 8.2

=== debian/changelog ===
zope.hookable (8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Nov 2025 09:51:15 +0000
